{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Lekcje {{course}}</h1>
{% if lesson_list %}
<div class="container p-3 bg-grey bor-rad marg">
    <p><a href="{% url 'register:teacher_lesson_create' course.id %}" class="btn btn-primary">Nowa lekcja</a></p>
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Temat</th>
                <th scope="col">Data</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for lesson in lesson_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{lesson.topic}}</td>
                <td>{{lesson.date}}</td>
                <td><a href="{% url 'register:teacher_course_presence' lesson.id %}" class="btn btn-primary">Zobacz obecność</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych lekcji z przedmiotu {{course}}.</p>
    </div>
{% endif %}

{% endblock content %}